Package org.opengis.cite.iso19142.simple

# Class DescribeFeatureTypeTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.simple.DescribeFeatureTypeTests

public class DescribeFeatureTypeTests extends BaseFixture
Tests the service response to a DescribeFeatureType request. No particular HTTP method binding is mandated. A conforming service must be able to provide a GML application schema, although alternative schema languages are permitted.

See Also:
  - "ISO 19142:2010, cl. 9: DescribeFeatureType operation"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) DocumentBuilder`
  `docBuilder`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DescribeFeatureTypeTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `addFeatureType(Document request, QName qName)`
  Adds a wfs:TypeName child element to a wfs:DescribeFeatureType entity.
  `void`
  `buildRequestEntity()`
  Builds a DOM Document node representing the request entity (/wfs:DescribeFeatureType).
  `void`
  `clearTypeNames()`
  `(package private) Document`
  `decodeSchema(Document doc)`
  The body of a SOAP response contains a DescribeFeatureTypeResponse element.
  `void`
  `describeAllFeatureTypes(ProtocolBinding binding)`
  If the typeNames parameter is omitted, the complete application schema(s) supported by the server shall be returned in response.
  `void`
  `describeUnknownFeatureType(ProtocolBinding binding)`
  If the typeNames parameter specifies an unknown feature type, the resulting exception report must indicate an "InvalidParameterValue" error.
  `(package private) void`
  `removeAllTypeNames(Document reqEntity)`
  Removes all child wfs:TypeName elements from the request entity.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### docBuilder

    DocumentBuilder docBuilder

- ## Constructor Details

  - ### DescribeFeatureTypeTests

    public DescribeFeatureTypeTests()

- ## Method Details

  - ### buildRequestEntity

    @BeforeClass public void buildRequestEntity()
    Builds a DOM Document node representing the request entity (/wfs:DescribeFeatureType).

  - ### clearTypeNames

    @BeforeMethod public void clearTypeNames()

  - ### removeAllTypeNames

    void removeAllTypeNames(Document reqEntity)
    Removes all child wfs:TypeName elements from the request entity.
    Parameters:
      `reqEntity` - The request entity (/wfs:DescribeFeatureType).

  - ### addFeatureType

    void addFeatureType(Document request, QName qName)
    Adds a wfs:TypeName child element to a wfs:DescribeFeatureType entity. A suitable namespace binding will be added to the document element if necessary.
    Parameters:
      `request` - The request entity (wfs:DescribeFeatureType).
      `qName` - The qualified name of the feature type.

  - ### describeAllFeatureTypes

    public void describeAllFeatureTypes(ProtocolBinding binding)
    If the typeNames parameter is omitted, the complete application schema(s) supported by the server shall be returned in response. By default, it must be a GML application schema (XML Schema).
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 9.2.4.1: typeNames parameter"

  - ### describeUnknownFeatureType

    public void describeUnknownFeatureType(ProtocolBinding binding)
    If the typeNames parameter specifies an unknown feature type, the resulting exception report must indicate an "InvalidParameterValue" error. The set of permissible values for the typeNames parameter is the set of feature type names listed in the capabilities document.
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 8.3.4: FeatureTypeList section"
      - "ISO 19142:2010, cl. 9.2.4.1: typeNames parameter"
      - "OGC 06-121r3, cl. 8.3: exceptionCode parameter values"

  - ### decodeSchema

    Document decodeSchema(Document doc)
    The body of a SOAP response contains a DescribeFeatureTypeResponse element. Its content is a Base64-encoded application schema.
    Parameters:
      `doc` - A Document containing a wfs:DescribeFeatureTypeResponse element.
    Returns:
      A Document representing an XML Schema.
    See Also:
      - "ISO 19142, D.4.5: Encoding XML Schema in a SOAP Body"